# OrchestratorAPI
Orchestrator API

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.1
- Package version: 1.1
- Generator version: 7.10.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import OrchestratorAPI
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import OrchestratorAPI
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import OrchestratorAPI
from OrchestratorAPI.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost/OrchestratorAPI
# See configuration.py for a list of all supported configuration parameters.
configuration = OrchestratorAPI.Configuration(
    host = "http://localhost/OrchestratorAPI"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): Bearer
configuration = OrchestratorAPI.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with OrchestratorAPI.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = OrchestratorAPI.CreateApi(api_client)

    try:
        # Create WebRTC
        api_response = api_instance.create()
        print("The response of CreateApi->create:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling CreateApi->create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost/OrchestratorAPI*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CreateApi* | [**create**](docs/CreateApi.md#create) | **GET** /create | Create WebRTC


## Documentation For Models

 - [Dummy](docs/Dummy.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="Bearer"></a>
### Bearer

- **Type**: Bearer authentication (JWT)


## Author

luke.brown@3adesign.co.uk


